<?php
/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * Config file for the plugin backup
 * 
 * Requirements: 
 * @con_php_req 5.0
 * 
 *
 * @package    Contenido Backend plugins
 * @version    0.1.1
 * @author     Viktor Lehmann
 * @copyright  TONE2TONE <www.tone2tone.com>
 * @license    unter Verwendung von
 * @link       http://board.protecus.de/t9581.htm
 * @since      file available since contenido release 4.8.13
 * 
 * {@internal 
 *   created 2010-09-20, last modified 2010-10-08
 *   modified 
 *
 *   $Id: config.plugin.php 305 2010-09-20 $:
 * }}
 * 
 */

if(!defined('CON_FRAMEWORK')) {
	die('Illegal call');
}

$plugin_name = "t2t_backup";

// Ggf. vom Webmaster zu ndern: 
$cfg['plugins']['usrbin']  = "/usr/bin/"; // Pfad zu usr/bin, kann je nach Hoster variieren. Abschlieenden Slash beachten!
$cfg['plugins']['gzip']    = "/bin/gzip"; // Pfad zu gzip, kann je nach Hoster variieren. KEINEN abschlieenden Slash setzen!

// Die folgenden Eintrge bitte nicht ndern!
$cfg['plugins']['t2t_backup']      = $cfg['path']['contenido'] . "plugins/" . $plugin_name . "/";
$cfg['plugins']['t2t_backup_path'] = $cfg['path']['contenido_fullhtml'] . "plugins/" . $plugin_name . "/";

// Grundkonfiguration des Plugin
$backup_path = './../backup/'; // Backup Ordner, bitte auf der gleichen Ebene wie "/contenido" anlegen und mit den mit den Rechten 757 versehen.
$number_of_files = '200'; // sind mehr als x Dateien im Ordner, beginnt die automatische Lschung

// Templates
$cfg['templates']['page']   = $cfg['plugins']['t2t_backup'] . "templates/standard/page.html";
$cfg['templates']['start']  = $cfg['plugins']['t2t_backup'] . "templates/standard/start.html";
$cfg['templates']['backup'] = $cfg['plugins']['t2t_backup'] . "templates/standard/backup.html";

// Prfen, ob Backupverzeichnis mit den korrekten Berechtigungen vorhanden. Falls nein, im spteren Verlauf dessen Anlage einfordern

if ( !is_dir($backup_path) ) {
	$pathfinder = false;
	} else {
	$pathfinder = true;

	// Ordnerrechte berprfen
	$dir_permission = substr(decoct( fileperms($backup_path) ), 2);
	if ( $dir_permission != 757 )  { 
			$permissionfinder = false;
			} else {
			$permissionfinder = true;
	}
}

?>